Bug 1409517 (CVE-2016-10074) - CVE-2016-10074 php-swiftmailer: Parameter injection via mail() function
Summary: CVE-2016-10074 php-swiftmailer: Parameter injection via mail() function
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-10074
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1409518 1409519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 10:56 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
1 user (show)

Fixed In Version: swiftmailer 5.4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:04:55 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-02 10:56:47 UTC
A vulnerability was found in swiftmailer. A remote code execution could be achieved by passing a maliciously crafted expression to the vulnerable application.

References:

http://seclists.org/oss-sec/2016/q4/774
https://legalhackers.com/advisories/SwiftMailer-Exploit-Remote-Code-Exec-CVE-2016-10074-Vuln.html

Comment 1 Andrej Nemec 2017-01-02 10:57:22 UTC
Created php-swiftmailer tracking bugs for this issue:

Affects: fedora-all [bug 1409518]
Affects: epel-7 [bug 1409519]

Comment 2 Product Security DevOps Team 2019-06-08 03:04:55 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.